Subject: Re: g++ (v.3.1.1-4) -mno-cygwin with a hello world sample crashesoddly
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Sun, 21 Jul 2002 11:28:48 +0900
Newsgroups: gmane.os.cygwin

Sorry to waste everybody's time, but I'm really confused now.  I re-compiled
the program today with the *exact* same command line arguments, the only
difference is that I've rebooted the computer.  The program now works
*fine*!!

The order of events:

1> I logged in as Administrator and ran cygwin's setup.exe
2> I installed all the latest Exp stuff, setup didn't say I needed to
reboot, so I didn't.
3> I logged out, logged back in as myself
4> Tried using the -mno-cygwin options and hit the problem posted yesterday.
5> Shutdown win2k and went home
6> First thing this morning, tried *exactly the same thing*, and it works.

:-?

I think I'll reboot no matter what Setup reckons in the future. :-)

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Robert Collins" <[email-masked]> wrote in message
news:1027217740.3740.4.camel@lifelesswks...
> On Sun, 2002-07-21 at 12:15, Dylan Cuthbert wrote:
> >
> > I thought of that before posting to the group, and renamed my executable
to
> > my_test_is_mine_only.exe
> >
> > Same results.
>
> gdb and strace are your friends.
>
> Rob
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/